package com.fdkankan.ucenter.vo.request;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class SceneCooperationParam {
    private Long cameraId;
    private Integer type;
    private String sceneNum;
    private List<String> numList;
    private List<Long> cameraIdList;

    private String userName;
    private String resourceIds;

    private String lang = "en";
    private Integer payType;
    private Integer timeZone;

    private List<String> userNameList = new ArrayList<>();

    private String sceneType="mesh";

    public List<String> getUserNameList() {
        if(userNameList.isEmpty()){
            return userNameList;
        }
        List<String> list = new ArrayList<>();
        for (String s : userNameList) {
            list.add(s.trim());
        }
        return list;
    }
}
